<?php
// ini_set('display_errors', 1);
// error_reporting(E_ALL);

define("ADMIN", true);
require_once("../../common/lib.php");
require_once("../../common/define.php");
define("TITLE_ELEMENT", 'Transfert de stock');

if (!isset($_SESSION['user'])) {
    header("Location: /admin/login.php");
    exit();
}

require_once("../includes/fn_module.php");

if (isset($_GET['id_produit'])) {
    $id_produit = intval($_GET['id_produit']);
    $id_depot = intval($_GET['id_depot']);
    $response = ['success' => false, 'bes' => [], 'stock_source' => []];

    try {
        // Récupérer les BE liés au produit
        // $query_be = "SELECT id_be FROM pm_mouvement_stock WHERE id_produit = ? AND id_be IS NOT NULL GROUP BY id_be";
        // $stmt_be = $db->prepare($query_be);
        // $stmt_be->execute([$id_produit]);
        // $bes = $stmt_be->fetchAll(PDO::FETCH_ASSOC);

        // Récupérer les stocks source liés au produit
        $query_stock_source = "SELECT ref_id, qte FROM pm_depot_stock WHERE id_produits = ? AND id_depot = ?";
        $stmt_stock_source = $db->prepare($query_stock_source);
        $stmt_stock_source->execute([$id_produit,$id_depot]);
        // $stmt_stock_source->execute([$id_depot]);
        $stock_sources = $stmt_stock_source->fetchAll(PDO::FETCH_ASSOC);

        // Remplir la réponse
        if ($bes || $stock_sources) {
            $response['success'] = true;
            $response['bes'] = $stock_sources;
            $response['stock_source'] = $stock_sources;
        }
    } catch (Exception $e) {
        $response['error'] = $e->getMessage();
    }

    // Retourner la réponse en JSON
    echo json_encode($response);
}

?>